import { PUBLIC_URLS } from '../config/public-endpoints';

/**
 * book a cos-transportation typeform
 */
const initTransportationClickEventListener = () => {
  $('.transport').on('click', function(e) {
    e.preventDefault();

    window.open(PUBLIC_URLS.typeformBookTransportation, '_blank');
  });
};

/**
 * open career page
 */
const initCareerButtonClickEventListener = () => {
  $('.primary-button-2').on('click', function() {
    window.open(PUBLIC_URLS.careerPage, '_blank');
  });
};

export const sharedClickEvents = (() => ({
  init: function () {
    initTransportationClickEventListener();
    initCareerButtonClickEventListener();
  }
}))();
